version: '2'
services:
  firefox:
    image: selenium/node-firefox:3.14.0-gallium
    volumes:
      - /dev/shm:/dev/shm
    depends_on:
      - hub
    environment:
      HUB_HOST: hub
      NODE_MAX_SESSION: 2
      NODE_MAX_INSTANCES: 2

  chrome:
    image: selenium/node-chrome:3.14.0-gallium
    volumes:
      - /dev/shm:/dev/shm
    depends_on:
      - hub
    environment:
      HUB_HOST: hub
      NODE_MAX_SESSION: 2
      NODE_MAX_INSTANCES: 2

  hub:
    image: selenium/hub:3.14.0-gallium
    ports:
      - "4444:4444"
    environment:
      GRID_MAX_SESSION: 4